package com.kingdee.eas.custom.dormitorysystem.otherbasicdata;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractRoomTypeInfo extends com.kingdee.eas.framework.DataBaseInfo implements Serializable 
{
    public AbstractRoomTypeInfo()
    {
        this("id");
    }
    protected AbstractRoomTypeInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 房间类型 's 组别 property 
     */
    public com.kingdee.eas.custom.dormitorysystem.otherbasicdata.RoomTypeTreeInfo getTreeid()
    {
        return (com.kingdee.eas.custom.dormitorysystem.otherbasicdata.RoomTypeTreeInfo)get("treeid");
    }
    public void setTreeid(com.kingdee.eas.custom.dormitorysystem.otherbasicdata.RoomTypeTreeInfo item)
    {
        put("treeid", item);
    }
    /**
     * Object:房间类型's 状态property 
     */
    public com.kingdee.shr.base.syssetting.BasicItemStateEnum getState()
    {
        return com.kingdee.shr.base.syssetting.BasicItemStateEnum.getEnum(getInt("state"));
    }
    public void setState(com.kingdee.shr.base.syssetting.BasicItemStateEnum item)
    {
		if (item != null) {
        setInt("state", item.getValue());
		}
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("02172A96");
    }
}